/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/

(function (Drupal, Backbone, Modernizr) {
  Drupal.contextual.RegionView = Backbone.View.extend({
    events: function events() {
      var mapping = {
        mouseenter: function mouseenter() {
          this.$el.removeClass('pre-close');
          this.model.set('regionIsHovered', true);
        },
        mouseleave: function mouseleave() {
          var _this = this;

          this.$el.addClass('pre-close');
          window.setTimeout(function () {
            if (_this.$el.hasClass('pre-close')) {
              _this.model.close().blur().set('regionIsHovered', false);
            } else {
              _this.$el.removeClass('pre-close');
            }
          }, 300);
        }
      };

      if (Modernizr.touchevents) {
        mapping = {};
      }
      return mapping;
    },
    initialize: function initialize() {
      this.listenTo(this.model, 'change:hasFocus', this.render);
    },
    render: function render() {
      this.$el.toggleClass('focus', this.model.get('hasFocus'));

      return this;
    }
  });
})(Drupal, Backbone, Modernizr);